<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Completely re-engineered: 12/17/2010	ELL
// Revised: 2/19/2011	ELL
// Fixed bugs with moving items and inserting items when using Internet Explore.  It was working fine in
// Firefox, Opera, Safari and Chrome, but IE processes .innerHTML in a very weird way.  Note that UpdateAll() 
// function is run after moving items for IE only to correct some of the problems with working with id
// attributes to tags once IE processes the .innerHTML.
// Revised: 2/8/2012	ELL
// Added table prefix handling.
// Revised: 3/1/2012	ELL
// Fixed bugs with indents not working properly upon inserting new items.
// Revised: 7/1/2013	ELL
// Implemented popup message class.
// Revised: 12/22/2013	ELL
// Removed obsolete "saved" var.
// 
//

	include ("check_session.php");
		
	$menu = $_REQUEST['menu'];
	if (!isset($menu))
		$menu = $_SESSION['last_menu_edited'];
	else
		$_SESSION['last_menu_edited'] = $menu;
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Breeze Website Builder</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="manager.css" type="text/css">
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">

<style type="text/css">
#help_button	{	
	position:relative;
	display:block;
	top:-15px;
	left:215px;
	height:31px;
	width:31px;
	z-index:100;
}

.header_row	{
	padding-left:5px;
	padding-right:5px;
}
</style>

<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript" src="js/ajax.js"></script>
<script type="text/javascript" src="js/trim.js"></script>
<script type="text/javascript" src="js/escape_url.js"></script>
<script type="text/javascript" src="js/mouse_position.js"></script>
<script type="text/javascript" src="js/popup_msg.js"></script>
<script type="text/javascript" src="js/edit_menu_items.js"></script>

<script language="javascript" type="text/javascript" >

var update_all = false;
var pages = new Array();
var pages_full = new Array();
var bgclr = "#eeeeee";

<?php
	$query = "SELECT page_name FROM " . BWB_TABLE_PREFIX . "page_data ORDER BY page_name";
	$result = $bwb_dbh->query($query);
	$num_results = $result->rowCount();
	$page_name_tmp = "";
	for ($j = 0; $j < $num_results; $j++)
	{
		$row = $result->fetch(PDO::FETCH_ASSOC);
		$page_name = $row["page_name"];
		$page_name_full = $page_name . ".php";
		echo "pages[$j] = '$page_name';\n";
		echo "pages_full[$j] = '$page_name_full';\n";
	}
	echo "var page_cnt = $j;\n";
?>
</script>

</head>

<body onLoad="RetrieveMenuItems();">
<div align="center">

<table width="90%" align="center"><tr>
<td>
	<div class="button_heading_sub_level_1" id="edit_menus_heading"><div class="button_heading_text_sub_level_1">Edit Menus</div><div class="help_button" id="help_button" onclick="OpenHelpWindow();">&nbsp;</div></div>
</td>
</tr></table>
	Select a menu to add items to: 
    <select name="selectMenu" id="selectMenu" onChange="javascript:RetrieveMenuItems();">
    <option value="-not selected-">-not selected-</option>
<?php
	$use_default_menu = 0;
	$query = "SELECT * FROM `" . BWB_TABLE_PREFIX . "menus`";
	$result = $bwb_dbh->query($query);
	$use_default_menu = $result->rowCount();
	while($row = $result->fetch(PDO::FETCH_ASSOC))
	{
		$menu_name = $row['menu_name'];
		$description = $row['description'];
		if (($menu_name == $menu) || (($use_default_menu == 2) && ($menu_name == "menu1") && ($menu == "")))
			echo "<option value='$menu_name' selected='selected'>$description</option>\n";
		else
			echo "<option value='$menu_name'>$description</option>\n";
	}
?>
    </select>
	
<?php
	if (($use_default_menu == 2) && ($menu == ""))
		$menu_source = "menu1_items";
	elseif (($menu == "-not selected-") || ($menu == ""))
		echo "Please select a menu to edit menu items.";
	else
	{
		$suffix = substr($menu, 4);
		$menu_source  = "menu" . $suffix . "_items";
	}
?>
	<div id="MenuItemsTable" style="width:100%;">&nbsp;</div>
    
		<input type='hidden' name='nCount' id='nCount'>
     <table width="90%" border="0">
		<tr><td colspan="5">&nbsp;</td></tr>
		<tr>
		<td align="center">
        <div class='button_console_save' id="update" <?php if (($menu == "-not selected-") || ($menu == "")) echo " style='display:none;'"; else echo " style='display:block; width:130px;'"; ?> onClick="UpdateAll();"><span class='button_console_text_w_icon'>Update All</span></div>
        </td>
		</tr>
	</table>

</div>

<?php include("lib/popup_msg.html"); ?>

<script language='javascript' type='text/javascript'>
	HidePopupMsg();
<?php
	if (isset($menu))
		echo "      RetrieveMenuItems();\n";
?>
</script>
</body>
</html>